/*
░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░

	☲╣ Strip_Units
	☲╣ Em_Rem
	☲╣ Z_Index
	☲╣ Tracking

░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░
*/

//☲☲☲☲☲☲☲☲☲☲☲╣ Strip_Units ╠☲☲☲☲☲☲☲☲☲☲☲☲//
@function strip-unit($num){
    @return $num / ($num * 0 + 1);
}

//☲☲☲☲☲☲☲☲☲☲☲╣ Em_Rem ╠☲☲☲☲☲☲☲☲☲☲☲☲//
@function em($px, $base:16) {
	@return ($px / $base) * 1em;
}
@function rem($px) {
	@return ($px / 16) * 1rem;
}

//☲☲☲☲☲☲☲☲☲☲☲╣ Z_Index ╠☲☲☲☲☲☲☲☲☲☲☲☲//
@function z($key){
    @return map-get($z, $key);
}

//☲☲☲☲☲☲☲☲☲☲☲╣ Tracking ╠☲☲☲☲☲☲☲☲☲☲☲☲//
@function track($tracking) {
	@return ($tracking / 100) * 0.1em;
}

